# $Revision: 1.10 $, $Date: 2002/10/11 19:33:49 $
Summary:	DjVu viewers, encoders and utilities.
Summary(pl):	DjVu - przegldarki, dekodery oraz narzdzia.
Name:		djvulibre
Version:	3.5.9
Release:	1
License:	GPL
Group:		Applications/Graphics
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/djvu/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-nostrip.patch
URL:		http://djvu.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	qt-devel >= 3.0.5
Obsoletes:	djvu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xbindir	/usr/X11R6/bin
%define		_xmandir	/usr/X11R6/man
%define		mozdir		/usr/X11R6/lib/mozilla/plugins
%define		nsdir		/usr/X11R6/lib/netscape/plugins

# compiling by gcc 3.2 with "-O2 -march=athlon" produces djview that only
# segfaults... maybe miscompilation, but hard to find where :/
%ifarch athlon
%define		optflags	-O2 -march=i686
%endif

%description
DjVu is a web-centric format and software platform for distributing
documents and images. DjVu content downloads faster, displays and
renders faster, looks nicer on a screen, and consume less client
resources than competing formats. DjVu was originally developped at
AT&T Labs-Research by Leon Bottou, Yann LeCun, Patrick Haffner, and
many others. In March 2000, AT&T sold DjVu to LizardTech Inc. who now
distributes Windows/Mac plug-ins, and commercial encoders (mostly on
Windows).

In an effort to promote DjVu as a Web standard, the LizardTech
management was enlightened enough to release the reference
implementation of DjVu under the GNU GPL in October 2000. DjVuLibre
(which means free DjVu), is an enhanced version of that code
maintained by the original inventors of DjVu. It is compatible with
version 3.5 of the LizardTech DjVu software suite.

This package of DjVulibre 3.5 contains:
- A full-fledged wavelet-based compressor for pictures.
- A simple compressor for bitonal (black and white) scanned pages.
- A compressor for palettized images (a la GIF/PNG).
- A set of utilities to manipulate and assemble DjVu images and
  documents.
- A set of decoders to convert DjVu to a number of other formats.
- An up-to-date version of the C++ DjVu Reference Library.

Following elements are placed in other subpackages:
- a standalone DjVu viewer based on the Qt library.
- A browser plugin that works with most Unix browsers.

%description -l pl
DjVu jest przeznaczonym gwnie dla WWW formatem i platform
programow do dystrybucji dokumentw i obrazkw. Dane w DjVu cigaj
si szybciej, wywietlaj szybciej, wygldaj adniej na ekranie i
zajmuj mniej zasobw po stronie klienckiej ni inne formaty. DjVu
oryginalnie zosta stworzony w AT&T Labs-Research przez Leona Bottou,
Yanna LeCun, Patricka Haffnera i wielu innych. W marcu 2000 AT&T
sprzedao DjVu firmie LizardTech Inc., ktre teraz rozpowszechnia
wtyczki dla Windows i Maca oraz komercyjne kodery (gwnie dla
Windows).

Aby wypromowa DjVu jako sieciowy standard, LizardTech udostpni
wzorcow implementacj DjVu na licencji GPL w padzierniku 2000.
DjVuLibre (czyli wolne DjVu) jest rozszerzon wersj tego kodu
rozwijan przez pomysodawcw DjVu. Jest kompatybilna z wersj
3.5 oprogramowania LizardTech DjVu.

Ten pakiet zawiera: bibliotek w C++, zestaw kompresorw, dekoderw
i narzdzi do plikw w formacie DjVu. Przegldarka oraz wtyczki do
przegldarek znajduj si w innych podpakietach.

%package djview
Summary:	Qt-based DjVu viewer
Summary(pl):	Oparta o Qt przegldarka DjVu
Group:		X11/Applications
Requires:	%{name} = %{version}
Obsoletes:	djview

%description djview
Qt-based DjVu viewer.

%description djview -l pl
Oparta o Qt przegldarka DjVu.

%package -n mozilla-plugin-%{name}
Summary:	DjVu plugin for Mozilla
Summary(pl):	Wtyczka DjVu do Mozilli
Group:		X11/Libraries
Requires:	%{name}-djview = %{version}
Requires:	mozilla-embedded

%description -n mozilla-plugin-%{name}
DjVu plugin for Mozilla and Mozilla-based browsers.

%description -n mozilla-plugin-%{name} -l pl
Wtyczka DjVu do Mozilli i przegldarek na niej bazujcych.

%package -n netscape-plugin-%{name}
Summary:	DjVu plugin for Netscape
Summary(pl):	Wtyczka DjVu do Netscape
Group:		X11/Libraries
Requires:	%{name}-djview = %{version}
Requires:	netscape-common
Obsoletes:	djview-netscape

%description -n netscape-plugin-%{name}
DjVu plugin for Netscape.

%description -n netscape-plugin-%{name} -l pl
Wtyczka DjVu do Netscape.

%prep -q
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%configure

%{__make} depend
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_xbindir},%{_xmandir}/man1,%{mozdir},%{nsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/djview \
	$RPM_BUILD_ROOT%{_xbindir}
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/djview.1 \
	$RPM_BUILD_ROOT%{_xmandir}/man1

mv -f $RPM_BUILD_ROOT%{_libdir}/netscape/plugins/nsdejavu.so \
	$RPM_BUILD_ROOT%{mozdir}
cp -f $RPM_BUILD_ROOT%{mozdir}/nsdejavu.so $RPM_BUILD_ROOT%{nsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT NEWS README TODO doc/*
%attr(755,root,root) %{_bindir}/*
%{_libdir}/lib*.so
%{_mandir}/man1/*
%dir %{_datadir}/djvu
%{_datadir}/djvu/languages.xml
%dir %{_datadir}/djvu/osi
%lang(zh) %{_datadir}/djvu/osi/Chinese_PRC
%lang(de) %{_datadir}/djvu/osi/de_DE
%{_datadir}/djvu/osi/en
%lang(fr) %{_datadir}/djvu/osi/fr_FR
%lang(ja) %{_datadir}/djvu/osi/ja_JP

%files djview
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/djview
%{_xmandir}/man1/djview.1*

%files -n mozilla-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{mozdir}/*.so

%files -n netscape-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{nsdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: djvulibre.spec,v $
Revision 1.10  2002/10/11 19:33:49  qboosh
- updated to 3.5.9, removed obsolete gcc3 patch
- added nostrip patch
- workaround for SEGV when build by gcc 3.2 with "-O2 -march=athlon"
  (miscompilation? hard to find where :/)

Revision 1.9  2002/10/11 16:15:52  qboosh
- fixed build with libstdc++v3 (gcc3 patch); release 2

Revision 1.8  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/08/29 23:11:42  blues
- 3.5.8 - STBR

Revision 1.6  2002/07/26 23:39:47  qboosh
- 3.5.7 - updated copyright notices with clarified patent statement

Revision 1.5  2002/07/11 19:48:21  qboosh
- standarized Source0 URL

Revision 1.4  2002/07/11 16:41:29  qboosh
- updated to 3.5.6, release 1

Revision 1.3  2002/05/21 23:12:56  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/17 23:24:56  qboosh
- partially fixed, added opt patch
- subpackages with djview (requires X+qt) and plugins
- works for me except endless loop with QT warnings after closing SkipStone
  (works good with Mozilla and Light, so it may be SkipStone bug)

Revision 1.1  2002/05/16 22:23:55  blues
- initial release (completely rewritten from temptate spec)
- release 0.1 - I don't even know whats that :) It builds. Interested
  in that package are welcome to do further work :)
